Bug 157802 - Need to rebuild overview after inn upgrade
Need to rebuild overview after inn upgrade
Product: Fedora
Classification: Fedora
Component: inn (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Martin Stransky
Ben Levenson
Depends On:
  Show dependency treegraph
Reported: 2005-05-15 21:14 EDT by Jonathan Kamens
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-05-16 13:06:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jonathan Kamens 2005-05-15 21:14:24 EDT
I upgraded from inn-2.4.2-2 to inn-2.4.2-3.  Innd started segfaulting upon
startup.  It was a bear to figure out what was going on, but I finally realized
that it was segfaulting while trying to do something in the overview database. 
I erased and recreated my overview database with makehistory, and it started
working again.

I think the overview database needs to be rebuilt upon upgrade or something like
that to avoid this problem.
Comment 1 Martin Stransky 2005-05-16 09:10:06 EDT
Yes, inn-2.4.2-3 is compiled with "-D_FILE_OFFSET_BITS=64
-D_LARGEFILE_SOURCE", so it uses diferent size of types on i386 than
2.4.2-2 and the old database is unusable.
Comment 2 Martin Stransky 2005-05-16 13:05:30 EDT
The problem is with group.index, it's directly mapped w/o any check
for size. Unfortunately, group.index doesn't contain any info about
types, so I can't check it.

Note You need to log in before you can comment on or make changes to this bug.